libqxp::QXPDocumentProperties Struct Reference documentation

Public Member Functions | Public Attributes | Private Attributes | List of all members
libqxp::QXPDocumentProperties Struct Reference

`#include <QXPTypes.h>`

## Public Member Functions
| QXPDocumentProperties ()
void | setAutoLeading (const double val)
double | autoLeading () const
bool | isIncrementalAutoLeading () const

## Public Attributes
double | superscriptOffset
double | superscriptHScale
double | superscriptVScale
double | subscriptOffset
double | subscriptHScale
double | subscriptVScale
double | superiorHScale
double | superiorVScale

## Private Attributes
double | m_autoLeading

## Constructor & Destructor Documentation

## ◆ QXPDocumentProperties()

libqxp::QXPDocumentProperties::QXPDocumentProperties | ( |  | ) |
| inline

## Member Function Documentation

## ◆ autoLeading()

double libqxp::QXPDocumentProperties::autoLeading | ( |  | ) | const

Referenced by libqxp::QXPContentCollector::drawText().

## ◆ isIncrementalAutoLeading()

bool libqxp::QXPDocumentProperties::isIncrementalAutoLeading | ( |  | ) | const
| inline

Referenced by libqxp::QXPContentCollector::drawText().

## ◆ setAutoLeading()

void libqxp::QXPDocumentProperties::setAutoLeading | ( | const double | val | ) |

Referenced by libqxp::QXP33Header::load(), and libqxp::QXP4Header::load().

## Member Data Documentation

## ◆ m_autoLeading

double libqxp::QXPDocumentProperties::m_autoLeading
| private

## ◆ subscriptHScale

double libqxp::QXPDocumentProperties::subscriptHScale

Referenced by libqxp::QXPContentCollector::drawText(), libqxp::QXP33Header::load(), and libqxp::QXP4Header::load().

## ◆ subscriptOffset

double libqxp::QXPDocumentProperties::subscriptOffset

Referenced by libqxp::QXPContentCollector::drawText(), libqxp::QXP33Header::load(), and libqxp::QXP4Header::load().

## ◆ subscriptVScale

double libqxp::QXPDocumentProperties::subscriptVScale

Referenced by libqxp::QXPContentCollector::drawText(), libqxp::QXP33Header::load(), and libqxp::QXP4Header::load().

## ◆ superiorHScale

double libqxp::QXPDocumentProperties::superiorHScale

Referenced by libqxp::QXPContentCollector::drawText(), libqxp::QXP33Header::load(), and libqxp::QXP4Header::load().

## ◆ superiorVScale

double libqxp::QXPDocumentProperties::superiorVScale

Referenced by libqxp::QXPContentCollector::drawText(), libqxp::QXP33Header::load(), and libqxp::QXP4Header::load().

## ◆ superscriptHScale

double libqxp::QXPDocumentProperties::superscriptHScale

Referenced by libqxp::QXPContentCollector::drawText(), libqxp::QXP33Header::load(), and libqxp::QXP4Header::load().

## ◆ superscriptOffset

double libqxp::QXPDocumentProperties::superscriptOffset

Referenced by libqxp::QXPContentCollector::drawText(), libqxp::QXP33Header::load(), and libqxp::QXP4Header::load().

## ◆ superscriptVScale

double libqxp::QXPDocumentProperties::superscriptVScale

Referenced by libqxp::QXPContentCollector::drawText(), libqxp::QXP33Header::load(), and libqxp::QXP4Header::load().

The documentation for this struct was generated from the following files:

- QXPTypes.h
- QXPTypes.cpp